<?php

namespace Database\Seeders;

use App\Models\Company;
use App\Models\Role;
use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;

class SuperAdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $user = User::create([
            'name' => tenant()->id,
            'email' => tenant()->email,
            'email_verified_at' => now(),
            'password' => Hash::make(tenant()->id),
            'remember_token' => Str::random(10),
            'username' => tenant()->id,
            'company_id' => Company::query()->firstOrCreate(['name' => tenant()->id, 'email' => tenant()->email]),
            'role_id' => config("auth.super_admin_role_id")
        ]);
        $role = Role::query()->findOrFail($user['role_id']);
        $user->syncRoles($role);
    }
}
